## abraca 0.2

=== wscript ===
#!/usr/bin/env python

import os, sys
import Params

VERSION='0.2'
APPNAME='abraca'

srcdir='.'
blddir = 'build'

def set_options(opt):
    opt.add_option ('--enable-debug', action = 'store_true',
            help = 'enable debugging stuff', dest = 'enable_debug')

def configure (conf):
    conf.check_tool ('gcc')
    if not conf.check_pkg ('gtk+-2.0', destvar = 'GTK', vnum = '2.8.0'):
        Params.fatal ("gtk+-2.0 is required")
    if not conf.check_pkg ('libglade-2.0', destvar = 'GLADE', vnum = '2.6.0'):
        Params.fatal ("libglade-2.0 is required")
    if not conf.check_pkg ('glib-2.0', destvar = 'GLIB', vnum = '2.12.0'):
        Params.fatal ("glib-2.0 is required")
    if not conf.check_pkg ('xmms2-client', destvar = 'XMMS', vnum = '0.2'):
        Params.fatal ("xmms2-client is required")
    if not conf.check_pkg ('xmms2-client-glib', destvar = 'XMMS_GLIB',
            vnum = '0.2'):
        Params.fatal ("xmms2-client-glib is required")

    conf.add_define ('VERSION', VERSION)
    conf.add_define ('PACKAGE_DATA_DIR',
            os.path.join (conf.env['PREFIX'], 'share', APPNAME))
    conf.add_define ('ENABLE_NLS', 0)
    conf.add_define ('LOCALE_DIR',
            os.path.join (conf.env['PREFIX'], 'share', 'locale'))

    if Params.g_options.enable_debug:
        conf.add_define ('DEBUG', 1)
        conf.env.append_value ('CCFLAGS', '-O0 -ggdb')
    else:
        conf.env.append_value ('CCFLAGS', '-O3')

    if sys.platform == 'win32':
        conf.add_define ('PATHSEP', '\\')
    else:
        conf.add_define ('PATHSEP', '/')

    conf.env.append_value ('CCFLAGS', '-DHAVE_CONFIG_H')
    # Make Glade happy
    conf.env.append_value ('LINKFLAGS', '-Wl,--export-dynamic')

    conf.write_config_header('config.h')

def build (bld):
    bld.add_subdirs ('src data')

=== data/wscript ===
#!/usr/bin/env python

def build (bld):
    install_files ('PACKAGE_DATA_DIR', '.', 'abraca.glade')

=== po/wscript ===
#!/usr/bin/env python

def build (bld):
    obj = bld.create_obj ('gnome_translations', 'abraca')
    #obj = bld.create_obj ('gnome_translations', 'abracac')

=== src/wscript ===
#!/usr/bin/env python

def build (bld):
    obj = bld.create_obj ('cc', 'program')
    obj.source = '''
    abraca.c
    buttons.c
    collections.c
    filter.c
    medialib.c
    misc.c
    playlist.c
    trackinfo.c
    util.c
    '''
    obj.includes = '.'
    obj.uselib = 'GTK GLADE XMMS XMMS_GLIB'
    obj.target = 'abraca'

## abraca 0.4

=== SConstruct ===
env = AbracaEnvironment(APPNAME = 'abraca', VERSION = '0.4-WiP')

env.VariantDir('build', '.')

env.Append(VALAPKGPATH = ['vapi'])

conf = env.Configure('build/build-config.h')
conf.CheckVala('0.7.5')
conf.CheckCCompiler()
conf.CheckPkgConfig()
conf.CheckApp('msgfmt')
conf.CheckApp('gdk-pixbuf-csource')

for pkg in ['gtk+-2.0', 'gmodule-2.0', 'xmms2-client', 'xmms2-client-glib']:
	if conf.CheckPkg(pkg):
		env.AppendPkg(pkg)
		env.Append(VALAPKGS = [pkg])

conf.Define('APPNAME', env.subst('"$APPNAME"'))
conf.Define('VERSION', env.subst('"$VERSION"'))
conf.Define('DATADIR', '"' + env.subst(env['DATADIR']) + '"')

conf.Finish()

env.Append(VALAPKGS = ['playlist-map', 'build-config', 'gdk-keysyms'])
env.Append(CCFLAGS = ['-Wall', '-Wno-unused-variable'])
env.Append(CPPPATH = Dir('build'))

if env.DebugVariant():
	env.Append(CCFLAGS = ['-g'])
else:
	env.Append(CCFLAGS = ['-O2'])

env.SConscript('build/data/SConscript', exports='env', duplicate=0)
env.SConscript('build/data/ui/SConscript', exports='env', duplicate=0)
env.SConscript('build/src/SConscript', exports='env', duplicate=0)

if env['HAVE_MSGFMT']:
	env.SConscript('build/po/SConscript', exports='env', duplicate=0)

## abraca 0.5.0

=== SConstruct ===
env = AbracaEnvironment(APPNAME = 'abraca', VERSION = '0.5.0')

env.VariantDir('build', '.')

env.Append(VALAPKGPATH = ['vapi'])

conf = env.Configure('build/build-config.h')
conf.CheckVala('0.7.10')
conf.CheckCCompiler()
conf.CheckPkgConfig()
conf.CheckApp('msgfmt')
conf.CheckApp('gdk-pixbuf-csource')
conf.CheckGitVersion()

dependencies = (
	('gtk+-2.0', '2.16.0'),
	('gmodule-2.0', '2.16.0'),
	('xmms2-client', '0.6'),
	('xmms2-client-glib', '0.6'),
	('gee-1.0', '0.5')
)

for pkg, version in dependencies:
	if conf.CheckPkg(pkg, version):
		env.AppendPkg(pkg, version)
		env.Append(VALAPKGS = [pkg])

if env['WITH_GLADEUI']:
	conf.CheckPkg('gladeui-1.0')

conf.Define('APPNAME', env.subst('"$APPNAME"'))
conf.Define('VERSION', env.subst('"$VERSION"'))
conf.Define('DATADIR', '"' + env.subst(env['DATADIR']) + '"')
conf.Define('LOCALEDIR', '"' + env.subst(env['LOCALEDIR']) + '"')

conf.Finish()

env.Append(VALAPKGS = ['build-config', 'gdk-keysyms'])
env.Append(CCFLAGS = ['-Wall', '-Wno-unused-variable'])
env.Append(CPPPATH = Dir('build'))

if env.DebugVariant():
	env.Append(CCFLAGS = ['-g'])
else:
	env.Append(CCFLAGS = ['-O2'])

env.SConscript('build/data/SConscript', exports='env', duplicate=0)
env.SConscript('build/data/ui/SConscript', exports='env', duplicate=0)
env.SConscript('build/src/SConscript', exports='env', duplicate=0)

if env['WITH_GLADEUI']:
	env.SConscript('build/gladeui/SConscript', exports='env', duplicate=0)

if env['HAVE_MSGFMT']:
	env.SConscript('build/po/SConscript', exports='env', duplicate=0)

=== debian/changelog ===
abraca (0.5.0-3) unstable; urgency=low

  * Bump libxmmsclient-glib-dev dependency to >= 0.7DrNo.

 -- Benjamin Drung <bdrung@ubuntu.com>  Wed, 14 Apr 2010 14:05:57 +0200

abraca (0.5.0-2) unstable; urgency=low

  * Fix FTBFS with vala 0.8.0.

 -- Benjamin Drung <bdrung@ubuntu.com>  Tue, 13 Apr 2010 23:46:29 +0200

abraca (0.5.0-1) unstable; urgency=low

  * New upstream release.
    - Compatible to vala 0.7.10 and xmms2 0.7DrNo (Closes: #571430).
    - Information dialog is closable (Closes: #565734).
    - Abraca launches xmms2d if unable to connect (Closes: #440678).
  * Update debian/copyright.
  * Add libgee-dev to Build-Depends.
  * Bump Standards-Version 3.8.4 (no changes required).

 -- Benjamin Drung <bdrung@ubuntu.com>  Sat, 03 Apr 2010 11:32:47 +0200

abraca (0.4.3-1) unstable; urgency=low

  * New upstream release.
    - Compatible to vala 0.7.9 (Closes: #564354).

 -- Benjamin Drung <bdrung@ubuntu.com>  Fri, 15 Jan 2010 10:07:35 +0100

abraca (0.4.2-1) unstable; urgency=low

  * New upstream release.
    - Compatible to vala 0.7.8 (Closes: #556812).
  * Drop all patches and the patch system.
  * Switch to source format 3.0 (quilt).
  * Bump Build-Depends version of valac to >= 0.7.8.
  * Update debian/watch file.

 -- Benjamin Drung <bdrung@ubuntu.com>  Tue, 01 Dec 2009 00:06:03 +0100

abraca (0.4.1-2) unstable; urgency=low

  * Add debian/patches/fix-packaging-mistake.patch to raise the package
    to the real 0.4.1 release.

 -- Benjamin Drung <bdrung@ubuntu.com>  Fri, 16 Oct 2009 00:38:40 +0200

abraca (0.4.1-1) unstable; urgency=low

  * New upstream release.
    - Compatible to vala 0.7.7 (Closes: #549787).
  * Drop fix-binaryblob-comment.patch (applied upstream).
  * Drop version-fix.patch (no longer required).
  * Remove patch system (no patches remaining).

 -- Benjamin Drung <bdrung@ubuntu.com>  Wed, 14 Oct 2009 20:29:18 +0200

abraca (0.4-2) unstable; urgency=low

  * Add quilt as patch system and state this in debian/README.source.
  * Add debian/patches/version-fix.patch to remove the WIP from the upstream
    version string.
  * Add debian/patches/fix-binaryblob-comment.patch to hopefully fix the
    FTBFS on sparc (Closes: #543251).
  * Allow uploads done by Debian Maintainers.

 -- Benjamin Drung <bdrung@ubuntu.com>  Tue, 25 Aug 2009 18:04:52 +0200

abraca (0.4-1) unstable; urgency=medium

  * New upstream release (Closes: #538380)
    + Compatible to xmms2 0.6DrMattDestruction (Closes: #533988, LP: #394938)
    + Provides an icon (LP: #180014)
  * New maintainer (Closes: #540568)
  * Remove debian/abraca.desktop and debian/abraca.menu. Upstream provides a
    desktop file now.
  * Rewrite debian/rules using debhelper 7.
  * Redo Build-Depends list.
  * Bump Standards-Version to 3.8.3.
  * Add Homepage field.
  * Change priority to optional.
  * Recommend only xmms2 and remove all other recommendations and suggestions.
  * Add debian/watch file.
  * Rewrite debian/copyright from scratch using DEP 5 proposal.
  * Remove debian/abraca.xml, upstream provides a man page.

 -- Benjamin Drung <bdrung@ubuntu.com>  Sat, 22 Aug 2009 22:04:29 +0200

abraca (0.2-2) unstable; urgency=low

  * Recommend essential xmms2 packages and suggest the CLI client.
    (Closes: #456369)

 -- Thomas Jollans <thomas@jollans.com>  Sat, 29 Dec 2007 11:12:17 +0100

abraca (0.2-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Use a temporary $HOME during build to stop waf writing outside the build
    directory (Closes: #439567).

 -- Simon McVittie <smcv@ianadd.pseudorandom.co.uk>  Mon, 10 Dec 2007 19:47:31 +0000

abraca (0.2-1) unstable; urgency=low

  * Initial release (Closes: #430729)

 -- Thomas Jollans <thomas@jollans.com>  Thu, 19 Jul 2007 22:58:21 +0200

=== debian/control ===
Source: abraca
Section: sound
Priority: optional
Maintainer: Benjamin Drung <bdrung@ubuntu.com>
Build-Depends: debhelper (>= 7.0.50~),
               libgee-dev (>= 0.5),
               libgtk2.0-dev,
               libxmmsclient-glib-dev (>= 0.7DrNo),
               pkg-config,
               scons,
               valac (>= 0.7.10)
Standards-Version: 3.8.4
DM-Upload-Allowed: yes
Homepage: http://abraca.xmms.se/
Vcs-Git: git://git.debian.org/git/pkg-xmms2/abraca.git
Vcs-Browser: http://git.debian.org/?p=pkg-xmms2/abraca.git

Package: abraca
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: xmms2
Description: A simple and powerful graphical client for XMMS2
 Abraca is a client for the XMMS2 music player. It is designed with
 collections in mind, which makes managing your music a breeze.
 .
 It is written in Vala and uses GTK+.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_build:
	scons DESTDIR=$(CURDIR)/debian/abraca PREFIX=/usr verbose=yes

override_dh_auto_install:
	scons install

override_dh_auto_clean:
	scons -c
	# Cleanup behind scons
	rm -rf build .sconf_temp
	rm -f config.log .sconsign.dblite .scons_options
	find site_scons -name '*.pyc' -type f -delete

=== debian/watch ===
version=3
opts="uversionmangle=s/-/~/" \
http://abraca.xmms.se/projects/list_files/abraca \
	/attachments/download/[0-9]+/abraca-(.*)\.tar\.bz2

## abraca 0.6.0

=== SConstruct ===
env = AbracaEnvironment(APPNAME = 'abraca', VERSION = '0.6.0')

env.VariantDir('build', '.')

env.Append(VALAPKGPATH = ['vapi'])

conf = env.Configure('build/build-config.h')
conf.CheckVala('0.10.0')
conf.CheckCCompiler()
conf.CheckPkgConfig()
conf.CheckApp('msgfmt')
conf.CheckApp('gdk-pixbuf-csource')
conf.CheckGitVersion()

vala_dependencies = (
	('gtk+-2.0', '2.16.0', env.Dependency.Mandatory),
	('gmodule-2.0', '2.16.0', env.Dependency.Mandatory),
	('gio-2.0', '2.16.0', env.Dependency.Mandatory),
	('xmms2-client', '0.6', env.Dependency.Mandatory),
	('xmms2-client-glib', '0.6', env.Dependency.Mandatory),
	('gee-1.0', '0.5', env.Dependency.Mandatory),
	('avahi-gobject', '0.6.0', env.Dependency.Optional),
)

for pkg, version, option in vala_dependencies:
	if conf.CheckPkg(pkg, version, option):
		env.AppendPkg(pkg, version)
		env.Append(VALAPKGS = [pkg])

env.Append(VALAPKGS = ['posix'])

c_dependencies = (
	('gladeui-1.0', '3.6.0', env.Dependency.Optional),
	('avahi-client', '0.6.0', env.Dependency.Optional),
)

for pkg, version, option in c_dependencies:
	if conf.CheckPkg(pkg, version, option):
		env.AppendPkg(pkg, version)

# Detect the operating system as indicated by the G_OS_* makros and pass them
# with --define to the vala compiler. Because of those macros are defined in the
# glib header files, this check must be done after adding the packages to the
# environment.
conf.CheckOS()

conf.Define('APPNAME', env.subst('"$APPNAME"'))
conf.Define('VERSION', env.subst('"$VERSION"'))
conf.Define('DATADIR', '"' + env.subst(env['DATADIR']) + '"')
conf.Define('LOCALEDIR', '"' + env.subst(env['LOCALEDIR']) + '"')

api_version = conf.CheckDefine('XMMS_IPC_PROTOCOL_VERSION', ['xmmsclient/xmmsclient.h'])
if api_version and api_version.isdigit() and int(api_version) > 18:
	env.Append(VALAFLAGS=['--define=XMMS_API_COLLECTIONS_TWO_DOT_ZERO'])

conf.Finish()

env.Append(VALAPKGS = ['build-config', 'gdk-keysyms'])
env.Append(CCFLAGS = ['-Wall', '-Wno-unused-variable'])
env.Append(CPPPATH = Dir('build'))

if env.DebugVariant():
	env.Append(CCFLAGS = ['-g'])
else:
	env.Append(CCFLAGS = ['-O2'])

env.SConscript('build/data/SConscript', exports='env', duplicate=0)
env.SConscript('build/data/ui/SConscript', exports='env', duplicate=0)
env.SConscript('build/src/SConscript', exports='env', duplicate=0)
env.SConscript('build/gladeui/SConscript', exports='env', duplicate=0)
env.SConscript('build/po/SConscript', exports='env', duplicate=0)

=== debian/changelog ===
abraca (0.6.0-3) unstable; urgency=low

  * New maintainer (Closes: #619778).
  * Added upstream changelog.

 -- Fabrizio Regalli <fabreg@fabreg.it>  Tue, 05 Apr 2011 15:28:30 +0200

abraca (0.6.0-2) unstable; urgency=low

  * Upload to unstable.
  * Explicitly build depend on valac-0.10.

 -- Benjamin Drung <bdrung@debian.org>  Wed, 16 Feb 2011 20:18:01 +0100

abraca (0.6.0-1) experimental; urgency=low

  * New upstream release.
  * Update my email address.
  * Bump Standards-Version to 3.9.1 (no changes required).
  * Update watch file to detect gz and bz2.
  * Drop all patches (applied upstream).
  * Bump valac build dependency to >= 0.10.0.

 -- Benjamin Drung <bdrung@debian.org>  Sat, 22 Jan 2011 19:44:55 +0100

=== debian/control ===
Source: abraca
Section: sound
Priority: optional
Maintainer: Fabrizio Regalli <fabreg@fabreg.it>
Build-Depends: debhelper (>= 7.0.50~),
               libgee-dev (>= 0.5),
               libgtk2.0-dev,
               libxmmsclient-glib-dev (>= 0.7DrNo),
               pkg-config,
               scons,
               valac-0.10 (>= 0.10.0)
Standards-Version: 3.9.1
Homepage: http://abraca.xmms.se/
Vcs-Git: git://git.debian.org/git/pkg-xmms2/abraca.git
Vcs-Browser: http://git.debian.org/?p=pkg-xmms2/abraca.git

Package: abraca
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: xmms2
Description: Simple and powerful graphical client for XMMS2
 Abraca is a client for the XMMS2 music player. It is designed with
 collections in mind, which makes managing your music a breeze.
 .
 It is written in Vala and uses GTK+.

=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,9 @@
 
 override_dh_auto_build:
 	scons DESTDIR=$(CURDIR)/debian/abraca PREFIX=/usr verbose=yes
+
+override_dh_installchangelogs:
+	dh_installchangelogs $(CURDIR)/debian/abraca.changelog-upstream
 
 override_dh_auto_install:
 	scons install

## abraca 0.7.0

=== SConstruct ===
--- 
+++ 
@@ -1,11 +1,11 @@
-env = AbracaEnvironment(APPNAME = 'abraca', VERSION = '0.6.0')
+env = AbracaEnvironment(APPNAME = 'abraca', VERSION = '0.7.0')
 
 env.VariantDir('build', '.')
 
 env.Append(VALAPKGPATH = ['vapi'])
 
 conf = env.Configure('build/build-config.h')
-conf.CheckVala('0.10.0')
+conf.CheckVala('0.11.5')
 conf.CheckCCompiler()
 conf.CheckPkgConfig()
 conf.CheckApp('msgfmt')
@@ -13,13 +13,14 @@
 conf.CheckGitVersion()
 
 vala_dependencies = (
-	('gtk+-2.0', '2.16.0', env.Dependency.Mandatory),
+	('gtk+-3.0', '3.0.0', env.Dependency.Mandatory),
 	('gmodule-2.0', '2.16.0', env.Dependency.Mandatory),
 	('gio-2.0', '2.16.0', env.Dependency.Mandatory),
-	('xmms2-client', '0.6', env.Dependency.Mandatory),
-	('xmms2-client-glib', '0.6', env.Dependency.Mandatory),
-	('gee-1.0', '0.5', env.Dependency.Mandatory),
-	('avahi-gobject', '0.6.0', env.Dependency.Optional),
+	('xmms2-client', '0.8', env.Dependency.Mandatory),
+	('xmms2-client-glib', '0.8', env.Dependency.Mandatory),
+	('gee-1.0', '0.6', env.Dependency.Mandatory),
+	('ige-mac-integration', '0.9.8', env.Dependency.Optional),
+#	('avahi-gobject', '0.6.0', env.Dependency.Optional),
 )
 
 for pkg, version, option in vala_dependencies:
@@ -28,10 +29,12 @@
 		env.Append(VALAPKGS = [pkg])
 
 env.Append(VALAPKGS = ['posix'])
+#env.Append(VALAPKGS = ['posix', 'dmap-mdns-browser'])
 
 c_dependencies = (
-	('gladeui-1.0', '3.6.0', env.Dependency.Optional),
-	('avahi-client', '0.6.0', env.Dependency.Optional),
+	('gladeui-2.0', '3.6.0', env.Dependency.Optional),
+#	('avahi-client', '0.6.0', env.Dependency.Optional),
+#	('avahi-glib', '0.6.0', env.Dependency.Optional),
 )
 
 for pkg, version, option in c_dependencies:
@@ -55,9 +58,12 @@
 
 conf.Finish()
 
-env.Append(VALAPKGS = ['build-config', 'gdk-keysyms'])
-env.Append(CCFLAGS = ['-Wall', '-Wno-unused-variable'])
+env.Append(VALAPKGS = ['build-config'])
+env.Append(CCFLAGS = ['-Wall', '-Wno-unused-variable', '-Wno-unused-but-set-variable'])
+#env.Append(CCFLAGS = ['-Wall', '-Wno-unused-variable', '-Wno-unused-but-set-variable', '-DHAVE_AVAHI_0_6'])
 env.Append(CPPPATH = Dir('build'))
+env.Append(LIBS = ['m'])
+
 
 if env.DebugVariant():
 	env.Append(CCFLAGS = ['-g'])

=== debian/changelog ===
abraca (0.7.0-1) unstable; urgency=low

  * Added DM-Upload-Allowed field
  * Bumped Standards-Version to 3.9.3 (use copyright-format 1.0)
  * Updated valac-0.10 B-D to valac-0.14 (Closes: #663292)
  * Fixed DM-Allow-Upload field in d/control
  * Imported Upstream version 0.7.0
  * Removed libgtk2.0-dev in B-D in favor of newer libgtk-3-dev
  * Bump libxmmsclient-glib-dev B-D to (>= 0.8)
  * Added 01-change-icon.diff patch for using different icon
  * Added myself to d/copyright and bumped year
  * Fixed d/watch
  * Changed Homepage field in d/control
  * Fixed missing-field-in-dep5-copyright lintian message
  * Added missing copyright files and licenses

 -- Fabrizio Regalli <fabreg@fabreg.it>  Tue, 20 Mar 2012 23:52:52 +0100

abraca (0.6.0-3.1) unstable; urgency=low

  * Non-Maintainer Upload.
  * debian/rules:
    - Build using the bundled version of scons.
      Fixes FTBFS on amd64 machines. (Closes: #642678)

 -- Andrea Veri <and@debian.org>  Sun, 25 Sep 2011 15:58:38 +0200

=== debian/control ===
--- 
+++ 
@@ -2,15 +2,16 @@
 Section: sound
 Priority: optional
 Maintainer: Fabrizio Regalli <fabreg@fabreg.it>
+DM-Upload-Allowed: yes
 Build-Depends: debhelper (>= 7.0.50~),
                libgee-dev (>= 0.5),
-               libgtk2.0-dev,
-               libxmmsclient-glib-dev (>= 0.7DrNo),
+               libgtk-3-dev,
+               libxmmsclient-glib-dev (>= 0.8),
                pkg-config,
                scons,
-               valac-0.10 (>= 0.10.0)
-Standards-Version: 3.9.1
-Homepage: http://abraca.xmms.se/
+               valac-0.14 (>= 0.14.0),
+Standards-Version: 3.9.3
+Homepage: http://abraca.github.com/Abraca/
 Vcs-Git: git://git.debian.org/git/pkg-xmms2/abraca.git
 Vcs-Browser: http://git.debian.org/?p=pkg-xmms2/abraca.git

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_build:
	./scons DESTDIR=$(CURDIR)/debian/abraca PREFIX=/usr verbose=yes

override_dh_installchangelogs:
	dh_installchangelogs $(CURDIR)/debian/abraca.changelog-upstream

override_dh_auto_install:
	./scons install

override_dh_auto_clean:
	./scons -c
	# Cleanup behind scons
	rm -rf build .sconf_temp
	rm -f config.log .sconsign.dblite .scons_options
	find site_scons -name '*.pyc' -type f -delete

=== debian/watch ===
version=3
http://githubredir.debian.net/github/Abraca/Abraca/ (.*).tar.gz
